package com.navinfo.outdoor.bean;

import java.util.List;

public class MeasureBean {

    /**
     * status : 0
     * msg : 成功
     * body : {"title":"0","singleChoice":[{"id":-7433716441913744,"question":"ucEnJR","option":[]}],"multiChoice":[{"id":165541861534708,"question":"ByClM","option":[]}]}
     */

    private int status;
    private String msg;
    private BodyBean body;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        /**
         * title : 0
         * singleChoice : [{"id":-7433716441913744,"question":"ucEnJR","option":[]},{"id":-7433716441913744,"question":"ucEnJR","option":[]}]
         * multiChoice : [{"id":165541861534708,"question":"ByClM","option":[]}]
         */

        private String title;
        private List<SingleChoiceBean> singleChoice;
        private List<MultiChoiceBean> multiChoice;

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public List<SingleChoiceBean> getSingleChoice() {
            return singleChoice;
        }

        public void setSingleChoice(List<SingleChoiceBean> singleChoice) {
            this.singleChoice = singleChoice;
        }

        public List<MultiChoiceBean> getMultiChoice() {
            return multiChoice;
        }

        public void setMultiChoice(List<MultiChoiceBean> multiChoice) {
            this.multiChoice = multiChoice;
        }

        public static class SingleChoiceBean {
            /**
             * id : -7433716441913744
             * question : ucEnJR
             * option : []
             */

            private String  id;
            private String question;
            private List<?> option;
            private String examId;

            public String getExamId() {
                return examId;
            }

            public void setExamId(String examId) {
                this.examId = examId;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getQuestion() {
                return question;
            }

            public void setQuestion(String question) {
                this.question = question;
            }

            public List<?> getOption() {
                return option;
            }

            public void setOption(List<?> option) {
                this.option = option;
            }

            @Override
            public String toString() {
                return "SingleChoiceBean{" +
                        "id='" + id + '\'' +
                        ", question='" + question + '\'' +
                        ", option=" + option +
                        ", examId='" + examId + '\'' +
                        '}';
            }
        }

        public static class MultiChoiceBean {
            /**
             * id : 165541861534708
             * question : ByClM
             * option : []
             */

            private String  id;
            private String question;
            private List<?> option;
            private String examId;

            public String getExamId() {
                return examId;
            }

            public void setExamId(String examId) {
                this.examId = examId;
            }


            @Override
            public String toString() {
                return "MultiChoiceBean{" +
                        "id='" + id + '\'' +
                        ", question='" + question + '\'' +
                        ", option=" + option +
                        ", examId='" + examId + '\'' +
                        '}';
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getQuestion() {
                return question;
            }

            public void setQuestion(String question) {
                this.question = question;
            }

            public List<?> getOption() {
                return option;
            }

            public void setOption(List<?> option) {
                this.option = option;
            }


        }

        @Override
        public String toString() {
            return "BodyBean{" +
                    "title='" + title + '\'' +
                    ", singleChoice=" + singleChoice +
                    ", multiChoice=" + multiChoice +
                    '}';
        }
    }

    @Override
    public String toString() {
        return "MeasureBean{" +
                "status=" + status +
                ", msg='" + msg + '\'' +
                ", body=" + body +
                '}';
    }
}
